Bug 518585 - xorg crash switching VTs
Summary: xorg crash switching VTs
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-21 06:33 UTC by jmccann
Modified: 2018-04-11 10:29 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-05-05 07:04:08 UTC


Attachments (Terms of Use)
backtrace (3.27 KB, text/plain)
2009-08-21 06:33 UTC, jmccann
no flags Details
maps file for xorg process (86.75 KB, text/plain)
2009-08-21 06:34 UTC, jmccann
no flags Details

Description jmccann 2009-08-21 06:33:30 UTC
Created attachment 358187 [details]
backtrace

Description of problem:
After a few hours of using the system switching VTs crashes the server.  I've seen this three times today.

Version-Release number of selected component (if applicable):
pixman-0.15.20-1.fc12.x86_64
xorg-x11-server-Xorg-1.6.99-36.20090814.fc12.x86_64
xorg-x11-drv-intel-2.8.0-6.fc12.x86_64

Steps to Reproduce:
1. Run gnome-shell on VT1 for a while
2. FUS to gnome2 desktop on VT7

Comment 1 jmccann 2009-08-21 06:34:20 UTC
Created attachment 358188 [details]
maps file for xorg process

Comment 2 Søren Sandmann Pedersen 2009-08-21 06:39:28 UTC
This

$6 = (uint32_t *) 0x7f2fc3ac25a8

from the backtrace is the value of "dst", which points somewhere between these two maps:

7f2fc3ac1000-7f2fc3ac2000 rw-s 00000000 00:08 5337634                    /drm mm object (deleted)
7f2fc3ac9000-7f2fc3acd000 rw-s 141a44000 00:10 3120                      /dev/dri/card0

Comment 3 Matěj Cepl 2009-11-05 17:14:16 UTC
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages (at least F12Beta, but even better if the very latest versions).

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]

Comment 4 Bug Zapper 2009-11-16 11:35:17 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 5 Matěj Cepl 2010-02-26 12:16:16 UTC
Could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[Note please, that this is machine generated comment for large amount of bugs; due to some technical issues, it is possible we've missed some of the responses -- it is happens, please, just a make a comment about that; that we will see. Thank you]

Comment 6 Jeff Raber 2010-05-05 07:04:08 UTC
Since there are insufficient details provided in this report for us to investigate the issue further, and we have not received feedback to the information we have requested above, we will assume the problem was not reproducible, or has been fixed in one of the updates we have released for the reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest update of their distribution, and if this issue turns out to still be reproducible in the latest update, please reopen this bug with additional information.

Closing as INSUFFICIENT_DATA.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers


Note You need to log in before you can comment on or make changes to this bug.